<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
                xmlns="http://www.w3.org/TR/REC-html40"
xmlns:msxsl="urn:schemas-microsoft-com:xslt"
xmlns:user="urn:my-script-blocks">
<!-- This is version 0.4 of the iptcnewsml stylesheet produced by David Allen, MD IPTC Copyright 2000 IPTC-->
<!-- It requires the May 2000 version of MSXML3.DLL and IE5.0 to be dispalyed-->

<xsl:param name="doc2" select="user:document('iptc-subject.xml')"/>

<msxsl:script language="JScript" implements-prefix="user">
<![CDATA[ 
function document(url) { 
var _doc = new ActiveXObject("MSXML2.DOMDocument.3.0"); 
_doc.async = false; 
_doc.load(url); 
return _doc; 
} 
]]>
</msxsl:script> 
<!-- This JScript function is copyright Benjamin Guralnik-->
<!-- The assistance of Alex Chernyshov is gratefully acknowledged-->

<xsl:output method="html"
         doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>


<xsl:template match="NewsML">
  <!-- root rule -->
  <html>
    <head>
<title>NewsML</title>
</head>
<div style="margin:1em;border-style:solid double;border-width:thick;border-color:#00FF00;padding:0.2em">
    <body>
<span style="font:bold;color:#00FF00">
<xsl:value-of select="name()"/>
</span>
<xsl:apply-templates select="Directory|Schemes|NewsEnvelope|NewsItem"/>
</body>
</div>
</html>
 </xsl:template>

<xsl:template match="Schemes">
<div>
<div style="font:italic;color:#008000">
<xsl:text>Controlled Vocabularies</xsl:text>
</div>
<xsl:for-each select="./SchemeRef">
<span style="background-color:#00FF00">
<a>
<xsl:attribute name="Href">
<xsl:value-of select="@Href"/>
</xsl:attribute>
<xsl:value-of select="@Scheme"/>
<xsl:text>  </xsl:text>
 </a>
</span>
 </xsl:for-each>
 </div>
  </xsl:template>

<xsl:template match="Directory">
<div style="font:italic">
<xsl:value-of select="name()"/>
<xsl:apply-templates/>
</div>
</xsl:template>


<xsl:template match="People">
<div>
<xsl:value-of select="name()"/>
<div style="background-color:#FFFF00">
<xsl:value-of select="(.)"/>
</div>
</div>
</xsl:template>

<xsl:template match="Companies">
<div>
<xsl:value-of select="name()"/>
<div style="background-color:#FFFF00">
<xsl:value-of select="(.)"/>
</div>
</div>
</xsl:template>

<xsl:template match="Organizations">
<div>
<xsl:value-of select="name()"/>
<div style="background-color:#FFFF00">
<xsl:value-of select="(.)"/>
</div>
</div>
</xsl:template>


<xsl:template match="NewsEnvelope">
<div>
<xsl:text>Envelope Date/Time=</xsl:text>
<xsl:value-of select="./DateAndTime"/>
 </div>
 <!--<xsl:apply-templates/>-->
</xsl:template>


<xsl:template match="NewsManagement">
<div>
<xsl:apply-templates select="NewsItemType"/>
</div>
</xsl:template>

<xsl:template match="NewsComponent">
<div style="margin:1em;border-style:solid double;border-width:thick;border-color:#FF0000;padding:0.2em">
<span style="color:#FF0000">
<xsl:text>NewsComponent</xsl:text>
</span>
<div>
<xsl:if test="@EquivalentsList='yes'">
<xsl:text>Equivalents</xsl:text>
</xsl:if>
<xsl:apply-templates/>
</div>
</div>
</xsl:template>

<xsl:template match="DescriptiveMetadata">
<div>
<xsl:text>Description</xsl:text>
</div>
<xsl:apply-templates select="Subject"/>
</xsl:template>

<xsl:template match="AdministrativeMetadata">
<div>
<xsl:text>Information</xsl:text>
<xsl:apply-templates/>
</div>
</xsl:template>

<xsl:template match="NewsItem">
<div style="margin:1em;border-style:solid double;border-width:thick;border-color:#0000FF;padding:0.2em">
<xsl:text>NewsIdentifier=newsml://</xsl:text>
<xsl:value-of select=".//ProviderId"/>
          <xsl:text>/</xsl:text>
          <xsl:value-of select=".//DateId"/>
          <xsl:text>/</xsl:text>
          <xsl:value-of select=".//NewsItemId"/>
          <xsl:text>/</xsl:text>
          <xsl:value-of select=".//RevisionId"/>
 
<xsl:apply-templates select="NewsManagement|NewsComponent"/>
</div>
</xsl:template>

<xsl:template match="NewsItemRef">
<div style="margin:1em;border-style:solid double;border-width:thin;border-color:#0000FF;padding:0.2em">
<a>
<xsl:attribute name="Href">
<xsl:value-of select="@Href"/>
</xsl:attribute>
<xsl:text>Referenced NewsItem</xsl:text>
</a>
</div>
</xsl:template>


<xsl:template name="findvoc">
<xsl:param name="vocab" select="@SchemeRef"/>
<xsl:for-each select="/NewsML/Schemes/SchemeRef">
<xsl:if test="@Duid=$vocab">
<xsl:value-of select="@Scheme"/>
<xsl:text> = </xsl:text>
</xsl:if>
</xsl:for-each>
</xsl:template>

<xsl:template name="findpeople">
<xsl:param name="dirp" select="@Person"/>
<xsl:for-each select="/NewsML/Directory/People/Person">
<xsl:if test="@Duid=$dirp">
<xsl:value-of select="(.)"/>
</xsl:if>
</xsl:for-each>
</xsl:template>

<xsl:template name="findco">
<xsl:param name="dirc" select="@Company"/>
<xsl:for-each select="/NewsML/Directory/Companies/Company">
<xsl:if test="@Duid=$dirc">
<xsl:value-of select="(.)"/>
</xsl:if>
</xsl:for-each>
</xsl:template>

<xsl:template name="findorg">
<xsl:param name="diro" select="@Organization"/>
<xsl:for-each select="/NewsML/Directory/Organizations/Organization">
<xsl:if test="@Duid=$diro">
<xsl:value-of select="(.)"/>
</xsl:if>
</xsl:for-each>
</xsl:template>


<xsl:template match="Role">
<div>
<xsl:call-template name="findvoc">
<xsl:with-param name="vocab" select="@SchemeRef"/>
</xsl:call-template>
<xsl:value-of select="(.)"/>
</div>
     <!--<xsl:apply-templates select="SchemeRef"/>-->
</xsl:template>



<xsl:template match="Subject">
<xsl:variable name="subj" select="@SchemeRef"/>
<xsl:variable name="subj1" select="@Name"/>
<xsl:variable name="subj2" select="SubjectMatter/@Name"/>
<xsl:variable name="subj3" select="SubjectMatter/SubjectDetail/@Name"/>
<div>
<xsl:text>Subject Reference = </xsl:text>
<!--<xsl:value-of select="$subj1"/>
<xsl:value-of select="$subj2"/>
<xsl:value-of select="$subj3"/>-->
<xsl:for-each select="$doc2/Vocabulary/Item">
<xsl:if test="Term=$subj1">
<xsl:value-of select="Description[2]"/>
<xsl:if test="($subj1='15')and($subj2='000')and($subj3!='000')">
<xsl:for-each select="Vocabulary[@Name='Subject Qualifier']/Item">
<xsl:if test="Term=$subj3">
<xsl:text>:</xsl:text>
<xsl:value-of select="Description"/>
</xsl:if>
</xsl:for-each>
</xsl:if>
<xsl:for-each select="Vocabulary[@Name='Subject Matter']/Item">
<xsl:if test="Term=$subj2">
<xsl:if test="$subj2!='000'">
<xsl:text>:</xsl:text>
<xsl:value-of select="Description"/>
</xsl:if>
<xsl:for-each select="Vocabulary[@Name='Subject Detail']/Item">
<xsl:if test="Term=$subj3">
<xsl:text>:</xsl:text>
<xsl:value-of select="Description"/>
</xsl:if>
</xsl:for-each>
</xsl:if>
</xsl:for-each>
</xsl:if>
</xsl:for-each>
</div>
</xsl:template>





<xsl:template match="BasisForChoice">
<div>
<xsl:value-of select="name()"/>
<xsl:text> = </xsl:text>
<xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="ContentItem">

<div style="margin:0.5em;border-style:solid double;border-width:thin;border-color:#800800">

<a>
<xsl:attribute name="Href">
<xsl:value-of select="@Href"/>
</xsl:attribute>
<xsl:value-of select="Comment"/>
</a>
<xsl:apply-templates select="Mediatype|Format|Mimetype|Notation|Characteristics|Encoding|Data"/>
</div>
</xsl:template>


<xsl:template match="Confidence">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
     </xsl:template>

<xsl:template match="Encoding">
<div>
      <xsl:value-of select="name()"/>
      <xsl:text> = </xsl:text>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Data">
<div>
      <xsl:copy-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Importance">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
     </xsl:template>

<xsl:template match="Format">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
   </xsl:template>

<xsl:template match="FutureStatus">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Genre">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="HowPresent">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
 </xsl:template>

<xsl:template match="Label">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Language">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
   </xsl:template>

<xsl:template match="MediaType">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="MetadataCategory">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="MimeType">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
<xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="NewsItemId">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="NewsItemType">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="NewsLine">
<div>
         <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="NewsLines">
<div>
<xsl:text>Newlines:</xsl:text>
<div>
<xsl:value-of select="HeadLine"/>
</div>
<div>
<xsl:value-of select="SubHeadLine"/>
</div>
<xsl:value-of select="ByLine"/>
<xsl:value-of select="DateLine"/>
<xsl:value-of select="CopyrightLine"/>
<div>
<xsl:value-of select="CreditLine"/>
</div>
<div>
<xsl:value-of select="Note"/>
</div>
</div>
</xsl:template>

<xsl:template match="NewsProduct">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="NewsService">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Notation">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="OfIterestTo">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="PersonRef">
<div>
        <xsl:call-template name="findpeople">
     <xsl:with-param name="dirp" select="@Person"/>
      </xsl:call-template>
</div>
     </xsl:template>

<xsl:template match="Provider">
<div>
        <xsl:value-of select="name()"/>
<xsl:apply-templates/>
</div>
     </xsl:template>

<xsl:template match="Creator">
<div>
        <xsl:value-of select="name()"/>
<xsl:apply-templates/>
</div>
     </xsl:template>
<xsl:template match="Contributor">
<div>
        <xsl:value-of select="name()"/>
<xsl:apply-templates/>
</div>
     </xsl:template>


<xsl:template match="CompanyRef">
<div>
        <xsl:call-template name="findco">
     <xsl:with-param name="dirc" select="@Company"/>
      </xsl:call-template>
</div>
     </xsl:template>

<xsl:template match="OrganizationRef">
<div>
        <xsl:call-template name="findorg">
     <xsl:with-param name="diro" select="@Organization"/>
      </xsl:call-template>
</div>
     </xsl:template>


<xsl:template match="Priority">
<div>
      <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
     <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Property">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Relevance">
<div>
        <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Status">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="TopicType">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="Urgency">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>

<xsl:template match="UsageType">
<div>
       <xsl:call-template name="findvoc">
     <xsl:with-param name="vocab" select="@SchemeRef"/>
      </xsl:call-template>
      <xsl:value-of select="(.)"/>
</div>
</xsl:template>


</xsl:stylesheet>
















